> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Provider Item Category Payments

> Get all payments for a specific item category for a provider (or None for unassigned provider) with proportional attribution



## OpenAPI

````yaml get /analytics/dashboards/provider-earnings/provider-item-category-payments
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /analytics/dashboards/provider-earnings/provider-item-category-payments:
    get:
      tags:
        - provider
        - analytics
        - analytics
      summary: Get Provider Item Category Payments
      description: >-
        Get all payments for a specific item category for a provider (or None
        for unassigned provider) with proportional attribution
      operationId: >-
        get_provider_item_category_payments_analytics_dashboards_provider_earnings_provider_item_category_payments_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: item_category
          in: query
          required: true
          schema:
            type: string
            title: Item Category
        - name: timezone
          in: query
          required: true
          schema:
            type: string
            title: Timezone
        - name: provider_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Provider Id
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: End Date
        - name: location_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Location Ids
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 25
            title: Per Page
        - name: sort_by
          in: query
          required: false
          schema:
            type: string
            default: created_date
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Sort Direction
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_ProviderPaymentDetail_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Page_ProviderPaymentDetail_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ProviderPaymentDetail'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[ProviderPaymentDetail]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProviderPaymentDetail:
      properties:
        paymentId:
          type: string
          title: Paymentid
        amount:
          type: integer
          title: Amount
        tips:
          type: integer
          title: Tips
        refunds:
          type: integer
          title: Refunds
        createdDate:
          type: string
          format: date-time
          title: Createddate
        chargeId:
          type: string
          title: Chargeid
        patientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientid
        patientFirstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientfirstname
        patientLastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientlastname
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
        locationName:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationname
      type: object
      required:
        - paymentId
        - amount
        - tips
        - refunds
        - createdDate
        - chargeId
        - patientId
        - patientFirstName
        - patientLastName
        - locationId
        - locationName
      title: ProviderPaymentDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````